summaryrefslogtreecommitdiff
path: root/autoconf/AutoRegen.sh
diff options
context:
space:
mode:
authorReid Spencer <rspencer@reidspencer.com>2006-06-01 01:08:28 +0000
committerReid Spencer <rspencer@reidspencer.com>2006-06-01 01:08:28 +0000
commit398a6b72fbfb72163b70c67e4a17e783d098a825 (patch)
tree34e4f5c5db43b55e0b9e1567ef1940b9fceb0c75 /autoconf/AutoRegen.sh
parent04b25625023ccfea24ab1fadfaf077f8505eb207 (diff)
downloadllvm-398a6b72fbfb72163b70c67e4a17e783d098a825.tar.gz
llvm-398a6b72fbfb72163b70c67e4a17e783d098a825.tar.bz2
llvm-398a6b72fbfb72163b70c67e4a17e783d098a825.tar.xz
Tighten this script up a bit.
git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@28608 91177308-0d34-0410-b5e6-96231b3b80d8
Diffstat (limited to 'autoconf/AutoRegen.sh')
-rwxr-xr-xautoconf/AutoRegen.sh22
1 files changed, 7 insertions, 15 deletions
diff --git a/autoconf/AutoRegen.sh b/autoconf/AutoRegen.sh
index ce0e2699e4..62dd6b2864 100755
--- a/autoconf/AutoRegen.sh
+++ b/autoconf/AutoRegen.sh
@@ -7,22 +7,14 @@ outfile=configure
configfile=configure.ac
test -d autoconf && test -f autoconf/$configfile && cd autoconf
test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
-autoconf --version | egrep '2\.59' > /dev/null
-if test $? -ne 0 ; then
- die "Your autoconf was not detected as being 2.59"
-fi
-aclocal --version | egrep '1\.9\.2' > /dev/null
-if test $? -ne 0 ; then
- die "Your aclocal was not detected as being 1.9.2"
-fi
-autoheader --version | egrep '2\.59' > /dev/null
-if test $? -ne 0 ; then
- die "Your autoheader was not detected as being 2.59"
-fi
+autoconf --version | grep '2\.59' > /dev/null
+test $? -eq 0 || die "Your autoconf was not detected as being 2.59"
+aclocal --version | grep '^aclocal.*1\.9\.2' > /dev/null
+test $? -eq 0 || die "Your aclocal was not detected as being 1.9.2"
+autoheader --version | grep '^autoheader.*2\.59' > /dev/null
+test $? -eq 0 || die "Your autoheader was not detected as being 2.59"
libtool --version | grep '1\.5\.10' > /dev/null
-if test $? -ne 0 ; then
- die "Your libtool was not detected as being 1.5.10"
-fi
+test $? -eq 0 || die "Your libtool was not detected as being 1.5.10"
echo ""
echo "### NOTE: ############################################################"
echo "### If you get *any* warnings from autoconf below you MUST fix the"